import { jsx } from "react/jsx-runtime";
import { Unite as Unite$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Unite = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Unite", ...props, children: /* @__PURE__ */ jsx(Unite$1, { weight: variant }) });
  }
);
Unite.displayName = "Unite";
Object.assign(Unite, { isGdsIcon: true });
export {
  Unite
};
